Anonymous Login
2019-09-22 03:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000823Pending RequestsCore Infrastructurepublic2014-08-16 18:01
Reportermilanm 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000823: Post-conversion from DP 2.0.2 most pull-downs ("task priority", "task status", etc) are empty
DescriptionConverted from DP 2.0.2 to W2P 2.3.1.

When trying to create new task, pull-downs for "task priority" and "task status" are empty. No new tasks may be added, nor existing changed, for those attributes.
Additional InformationRESOLUTION: It appears that conversion process misses the insertion of "sysvals" rows from "web2project/install/sql/mysql/001_base_install.sql".

Following rows (for our version, your mileage may vary for your own) were in "001_base_install.sql" but not in the system values that you can add from the W2P via web interface:



'CompanyType', 'Not Applicable', '0'


'CompanyType', 'Client', '1'


'CompanyType', 'Vendor', '2'


'CompanyType', 'Supplier', '3'


'CompanyType', 'Consultant', '4'


'CompanyType', 'Government', '5'


'CompanyType', 'Internal', '6'


'EventType', 'General', '0'


'EventType', 'Appointment', '1'


'EventType', 'Meeting', '2'


'EventType', 'All Day Event',


'EventType', 'Anniversary', '4'


'EventType', 'Reminder', '5'


'FileType', 'Unknown', '0'


'FileType', 'Document', '1'


'FileType', 'Application', '2'


'LinkType', 'Unknown', '0'


'LinkType', 'Document', '1'


'LinkType', 'Application', '2'


'ProjectColors', 'FFFCAE', 'HelpDesk'


'ProjectColors', 'AEFFB2', 'Engineering'


'ProjectColors', 'FFAEAE', 'System Administration'


'ProjectColors', 'FFE0AE', 'Web'


'ProjectPriority', 'low', '-1'


'ProjectPriority', 'normal', '0'


'ProjectPriority', 'high', '1'


'ProjectPriorityColor', '#E5F7FF', '-1'


'ProjectPriorityColor', '', '0'


'ProjectPriorityColor', '#FFDCB3', '1'


'ProjectRequiredFields', '<3', 'f.project_color_identifier.value.length'


'ProjectRequiredFields', '<1', 'f.project_company.options[f.project_company.selectedIndex].value'


'ProjectRequiredFields', '<3', 'f.project_name.value.length'


'ProjectStatus', 'Not Defined', '0'


'ProjectStatus', 'Proposed', '1'


'ProjectStatus', 'In Planning', '2'


'ProjectStatus', 'In Progress', '3'


'ProjectStatus', 'On Hold', '4'


'ProjectStatus', 'Complete', '5'


'ProjectStatus', 'Template', '6'


'ProjectType', 'Unknown', '0'


'ProjectType', 'Administrative', '1'


'ProjectType', 'Operative', '2'


'TaskDurationType', 'hours', '1'


'TaskDurationType', 'days', '24'


'TaskLogReference', 'Not Defined', '0'


'TaskLogReference', 'Email', '1'


'TaskLogReference', 'Helpdesk', '2'


'TaskLogReference', 'Phone Call', '3'


'TaskLogReference', 'Fax', '4'


'TaskLogReferenceImage', 'i', '0'


'TaskLogReferenceImage', 'a', '1'


'TaskPriority', 'low', '-1'


'TaskPriority', 'normal', '0'


'TaskPriority', 'high', '1'


'TaskStatus', 'Active', '0'


'TaskStatus', 'Inactive', '-1'


'TaskType', 'Unknown', '0'


'TaskType', 'Administrative', '1'


I went ahead and added these values manually.

Related issues: Do not add values that contain "<" character -- since W2P web interface will eat those tags. Instead, add the value without "<" (e.g. instead of "<3" for ProjectRequiredFields add just "3". Works as expected).
TagsNo tags attached.
Attached Files

-Relationships
related to 0000822closedcaseydk v2.4 Release (Closed) Required "short name" of project is pre-filled, but not accepted 
+Relationships

-Notes

~0001972

milanm (reporter)

This bug is related to 0000822 ("required fields" for project).

~0003618

caseydk (administrator)

We haven't gotten any similar reports of this in three years. I'm calling it a one-time thing.
+Notes

-Issue History
Date Modified Username Field Change
2011-06-06 08:55 milanm New Issue
2011-06-06 08:56 milanm Note Added: 0001972
2011-06-07 22:14 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-06-17 07:32 pedroa Relationship added related to 0000822
2011-08-07 15:47 caseydk Project v2.4 Release (Closed) => Pending Requests
2014-08-16 18:01 caseydk Note Added: 0003618
2014-08-16 18:01 caseydk Status new => closed
2014-08-16 18:01 caseydk Category General => Core Infrastructure
2014-08-16 18:01 caseydk Product Version 2.3 =>
+Issue History